### org.jfree.layouting.renderer.process.valign

# Class BoxAlignContext

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.valign.AlignContext`
  - - `org.jfree.layouting.renderer.process.valign.BoxAlignContext`

`public class BoxAlignContext`
`extends AlignContext`

Creation-Date: 13.10.2006, 22:22:10

Author:
  Thomas Morgner

  ## Constructor Summary

  `BoxAlignContext(RenderBox box)`

  ## Method Summary

  `void`

  `addChild(AlignContext context)`

  `long`

  `getAfterEdge()`

  `long`

  `getBaselineDistance(int baseline)`

  `long`

  `getBeforeEdge()`

  `AlignContext`

  `getFirstChild()`

  `long`

  `getInsetsBottom()`

  `long`

  `getInsetsTop()`

  `void`

  `setAfterEdge(long offset)`

  `void`

  `setBeforeEdge(long offset)`

  `void`

  `shift(long delta)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.valign.AlignContext

  `getAfterEdge`, `getBaselineDistance`, `getBeforeEdge`, `getDominantBaseline`, `getNext`, `getNode`, `setDominantBaseline`, `setNext`, `shift`

## Constructor Details

### BoxAlignContext

    public BoxAlignContext(RenderBox box)

## Method Details

### addChild

    public void addChild(AlignContext context)

### getAfterEdge

    public long getAfterEdge()

> Overrides:
>   getAfterEdge in interface AlignContext

### getBaselineDistance

    public long getBaselineDistance(int baseline)

> Overrides:
>   getBaselineDistance in interface AlignContext

### getBeforeEdge

    public long getBeforeEdge()

> Overrides:
>   getBeforeEdge in interface AlignContext

### getFirstChild

    public AlignContext getFirstChild()

### getInsetsBottom

    public long getInsetsBottom()

### getInsetsTop

    public long getInsetsTop()

### setAfterEdge

    public void setAfterEdge(long offset)

### setBeforeEdge

    public void setBeforeEdge(long offset)

### shift

    public void shift(long delta)

> Overrides:
>   shift in interface AlignContext